'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

/* eslint-disable @typescript-eslint/ban-types, no-param-reassign */
/**
 * Overrides the toString on a function so that it addon-jsx prints
 * the callbacks in a copy-paste-able way.
 *
 * https://github.com/storybookjs/addon-jsx#function-props
 *
 * @param fn  - Callback to rewrite toString fuction
 * @param asStr - String that toString of the callback will return
 * @returns Callback(fn) with rewritten toString(asStr) function
 */
var callback = function (fn, asStr) {
  if (asStr === void 0) {
    asStr = '() => {}';
  }
  fn.toString = function () {
    return asStr;
  };
  return fn;
};
exports.callback = callback;
//# sourceMappingURL=index.js.map
